/* LICENSE BLOCK
Part of mde: a Modular D game-oriented Engine
Copyright © 2007-2008 Diggory Hardy

This program is free software: you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation, either
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

/** This module is for global objects.
*
* It's existance may only be temporary until objects are used in other ways; use of global objects
* is generally disliked.
*
* I suggest importing via a rename or static import, so on use it's obvious where the objects used
* are declared.
*/
module mde.global;

import mde.input.input;

bool run = true;	// main loop continues if this is true

Input input;		// Input instance. When multiple users are allowed instances will be per-user.
